Rev 603: Add example pre-revprop-change script. in file:///data/jelmer/bzr-svn/revprops/

Jelmer Vernooij jelmer at samba.org
Fri Dec 14 16:14:27 GMT 2007


At file:///data/jelmer/bzr-svn/revprops/

------------------------------------------------------------
revno: 603
revision-id:jelmer at samba.org-20071214161427-i0vd3rcjnuwg9kv5
parent: jelmer at samba.org-20071214160431-czsb8xvrc724i1jf
committer: Jelmer Vernooij <jelmer at samba.org>
branch nick: revprops
timestamp: Fri 2007-12-14 17:14:27 +0100
message:
  Add example pre-revprop-change script.
added:
  pre-revprop-change.example     prerevpropchange.exa-20071214160928-9g7oevg3tlky780a-1
modified:
  BRANCH.TODO                    branch.todo-20070721175243-w23kkak0gm2jbr8b-1
=== added file 'pre-revprop-change.example'
--- a/pre-revprop-change.example	1970-01-01 00:00:00 +0000
+++ b/pre-revprop-change.example	2007-12-14 16:14:27 +0000
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# This is an example prev-revprop-change hook that 
+# allows setting bzr revision properties on Subversion 
+# revisions.
+
+# This script is only needed if you would like to use 
+# revision properties rather than file properties and 
+# is not necessary when the server and client are 
+# both running Subversion 1.5.
+
+REPOS="$1"
+REV="$2"
+USER="$3"
+PROPNAME="$4"
+ACTION="$5"
+
+if [ "$ACTION" = "M" -a "$PROPNAME" = "svn:log" ]; then exit 0; fi
+
+if [ "$ACTION" = "A" -a "`echo "$PROPNAME" | cut -d : -f 1`" = "bzr" ]; then exit 0; fi
+
+echo "Changing revision properties other than svn:log or bzr:* is prohibited" >&2
+exit 1

=== modified file 'BRANCH.TODO'
--- a/BRANCH.TODO	2007-12-06 18:08:44 +0000
+++ b/BRANCH.TODO	2007-12-14 16:14:27 +0000
@@ -15,5 +15,4 @@
 bzr-svn should not be looking at any file properties set on the branch root if any 
 of these revision properties is set.
 
-An additional option "set-revprops" in ~/.subversion.conf will be provided. 
-It defaults to True if the repository supports setting revision properties.
+Needs more tests...




More information about the bazaar-commits mailing list